function C=LZMeasureComplexity(y,states,b);
% Вычисляется мера сложности Лемпля-Зива

switch(states)
    case {2}
        s=y>0; %bits
    case {3}
        s=(y>b)+(y>-b);
    case {4}
        s=(y>b)+(y>0)+(y>-b);
    
end
c=1;
j=1;
i=0;
k=1;
kmax=1;
N=length(s);
while (j+k<=N-1)
    if s(i+k)==s(j+k)
        k=k+1;
    else
        if k>kmax
            kmax=k;
        end
        i=i+1;
        if i==j
            c=c+1;
            j=j+kmax;
        else
            k=1;
        end
        if i+1>N-1
            break
        end
    end
end
Crand=N/log2(N);
C=c/Crand;